testdata:
  Authentication_Biometric_Iris_With_Left_Smoke_Pos:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-y-res:
      output.1.response.status: $TestData:auth_Pass_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.staticToken: $TOKENID~$input.bio-auth-request:AuthReq.individualId$~$endpoint.url:partnerIDMispLK$
    audit.auth_transaction:
      refId: $input.bio-auth-request:AuthReq.individualId$
      txnId: $input.bio-auth-request:AuthReq.transactionID$
      authTypeCode: $TestData:auth_transaction_IRIS_authTypeCode$
      statusCode: $TestData:auth_transaction_success_statusCode$
      reqTime: $FETCH$
      resTime: $FETCH$
      statusComment: $TestData:auth_transaction_IRIS_success_statusComment$
      idType: $TestData:auth_transaction_UIN_idType$
    audit.audit_log:
      refId:  $input.bio-auth-request:AuthReq.individualId$
      eventId: $TestData:audit_log_eventId$
      eventName: $TestData:audit_log_auth_eventName$
      appId: $TestData:audit_log_ida_appId$
      appName: $TestData:audit_log_ida_appName$
      moduleName: $TestData:audit_log_iris_moduleName$
      refIdType: $TestData:audit_log_UIN_refIdType$
      
  Authentication_Biometric_Iris_With_Right_Smoke_Pos:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_right_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Right']//following::BDB$
    output.output-1-expected-y-res:
      output.1.response.status: $TestData:auth_Pass_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.staticToken: $TOKENID~$input.bio-auth-request:AuthReq.individualId$~$endpoint.url:partnerIDMispLK$
    audit.auth_transaction:
      refId: $input.bio-auth-request:AuthReq.individualId$
      txnId: $input.bio-auth-request:AuthReq.transactionID$
      authTypeCode: $TestData:auth_transaction_IRIS_authTypeCode$
      statusCode: $TestData:auth_transaction_success_statusCode$
      reqTime: $FETCH$
      resTime: $FETCH$
      statusComment: $TestData:auth_transaction_IRIS_success_statusComment$
      idType: $TestData:auth_transaction_UIN_idType$
    audit.audit_log:
      refId:  $input.bio-auth-request:AuthReq.individualId$
      eventId: $TestData:audit_log_eventId$
      eventName: $TestData:audit_log_auth_eventName$
      appId: $TestData:audit_log_ida_appId$
      appName: $TestData:audit_log_ida_appName$
      moduleName: $TestData:audit_log_iris_moduleName$
      refIdType: $TestData:audit_log_UIN_refIdType$
      
  Authentication_Biometric_Iris_With_Left_With_VID_Pos:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $VID$
      AuthReq.individualIdType: $TestData:indvId_Vid_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-y-res:
      output.1.response.status: $TestData:auth_Pass_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.staticToken: $TOKENID~$input.bio-auth-request:AuthReq.individualId$~$endpoint.url:partnerIDMispLK$
    audit.auth_transaction:
      refId: $input.bio-auth-request:AuthReq.individualId$
      txnId: $input.bio-auth-request:AuthReq.transactionID$
      authTypeCode: $TestData:auth_transaction_IRIS_authTypeCode$
      statusCode: $TestData:auth_transaction_success_statusCode$
      reqTime: $FETCH$
      resTime: $FETCH$
      statusComment: $TestData:auth_transaction_IRIS_success_statusComment$
      idType: $TestData:auth_transaction_VID_idType$
    audit.audit_log:
      refId:  $input.bio-auth-request:AuthReq.individualId$
      eventId: $TestData:audit_log_eventId$
      eventName: $TestData:audit_log_auth_eventName$
      appId: $TestData:audit_log_ida_appId$
      appName: $TestData:audit_log_ida_appName$
      moduleName: $TestData:audit_log_iris_moduleName$
      refIdType: $TestData:audit_log_VID_refIdType$
      
  Authentication_Biometric_Iris_With_Right_With_VID_Pos:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $VID$
      AuthReq.individualIdType: $TestData:indvId_Vid_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_right_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Right']//following::BDB$
    output.output-1-expected-y-res:
      output.1.response.status: $TestData:auth_Pass_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.staticToken: $TOKENID~$input.bio-auth-request:AuthReq.individualId$~$endpoint.url:partnerIDMispLK$
    audit.auth_transaction:
      refId: $input.bio-auth-request:AuthReq.individualId$
      txnId: $input.bio-auth-request:AuthReq.transactionID$
      authTypeCode: $TestData:auth_transaction_IRIS_authTypeCode$
      statusCode: $TestData:auth_transaction_success_statusCode$
      reqTime: $FETCH$
      resTime: $FETCH$
      statusComment: $TestData:auth_transaction_IRIS_success_statusComment$
      idType: $TestData:auth_transaction_VID_idType$
    audit.audit_log:
      refId:  $input.bio-auth-request:AuthReq.individualId$
      eventId: $TestData:audit_log_eventId$
      eventName: $TestData:audit_log_auth_eventName$
      appId: $TestData:audit_log_ida_appId$
      appName: $TestData:audit_log_ida_appName$
      moduleName: $TestData:audit_log_iris_moduleName$
      refIdType: $TestData:audit_log_VID_refIdType$
      
  Authentication_Biometric_Iris_With_invalid_bioValue_VID_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $VID$
      AuthReq.individualIdType: $TestData:indvId_Vid_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: iuiushkahkdhkacknkaslkclkajsldkl
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:BiometricFaceMismatch:errorCode$
      output.1.response.error.errorMessage: $errors:BiometricIrisMismatch:errorMessage$
      output.1.response.error.actionMessage: $errors:BiometricIrisMismatch:actionMessage$
    audit.auth_transaction:
      refId: $input.bio-auth-request:AuthReq.individualId$
      txnId: $input.bio-auth-request:AuthReq.transactionID$
      authTypeCode: $TestData:auth_transaction_IRIS_authTypeCode$
      statusCode: $TestData:auth_transaction_fail_statusCode$
      reqTime: $FETCH$
      resTime: $FETCH$
      statusComment: $TestData:auth_transaction_IRIS_fail_statusComment$
      idType: $TestData:auth_transaction_VID_idType$
    audit.audit_log:
      refId:  $input.bio-auth-request:AuthReq.individualId$
      eventId: $TestData:audit_log_eventId$
      eventName: $TestData:audit_log_auth_eventName$
      appId: $TestData:audit_log_ida_appId$
      appName: $TestData:audit_log_ida_appName$
      moduleName: $TestData:audit_log_iris_moduleName$
      refIdType: $TestData:audit_log_VID_refIdType$
      
  Authentication_Biometric_Iris_With_invalid_bioValue_UIN_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: iuiushkahkdhkacknkaslkclkajsldkl
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:BiometricFaceMismatch:errorCode$
      output.1.response.error.errorMessage: $errors:BiometricIrisMismatch:errorMessage$
      output.1.response.error.actionMessage: $errors:BiometricIrisMismatch:actionMessage$
    audit.auth_transaction:
      refId: $input.bio-auth-request:AuthReq.individualId$
      txnId: $input.bio-auth-request:AuthReq.transactionID$
      authTypeCode: $TestData:auth_transaction_IRIS_authTypeCode$
      statusCode: $TestData:auth_transaction_fail_statusCode$
      reqTime: $FETCH$
      resTime: $FETCH$
      statusComment: $TestData:auth_transaction_IRIS_fail_statusComment$
      idType: $TestData:auth_transaction_UIN_idType$
    audit.audit_log:
      refId:  $input.bio-auth-request:AuthReq.individualId$
      eventId: $TestData:audit_log_eventId$
      eventName: $TestData:audit_log_auth_eventName$
      appId: $TestData:audit_log_ida_appId$
      appName: $TestData:audit_log_ida_appName$
      moduleName: $TestData:audit_log_iris_moduleName$
      refIdType: $TestData:audit_log_UIN_refIdType$
      
  Authentication_Biometric_Iris_With_Valid_Request_Where_UIN_Not_Having_Bio_data_In_DB_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN:WITH:withoutBio$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: afgahgdfgsajfdjjasdfhasdfkdscnkahdksjhahskcdakjdhfkhask
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MisssingIrisBioInMosipDB:errorCode$
      output.1.response.error.errorMessage: $errors:MisssingIrisBioInMosipDB:errorMessage$
      
  Authentication_Biometric_Iris_With_Valid_BioType_FID_and_Invalid_BioSubType_Left_Index_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: LEFT_INDEX
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Right']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidBioSubtype:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidBioSubtype:errorMessage$
      
  Authentication_Biometric_Iris_With_future_requestTime_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$HOUR+1
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:RequestTimeIsFuture:errorCode$
      output.1.response.error.errorMessage: $errors:RequestTimeIsFuture:errorMessage$
      output.1.response.error.actionMessage: $errors:RequestTimeIsFuture:actionMessage$
      
  Authentication_Biometric_Iris_With_MoreThan_two_IrisRecord_In_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-exceed-2-iris-data:
      identityReq.bioSubType: $TestData:bio_iris_leftOnly_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
      identityReq.bioSubType1: $TestData:bio_iris_rightOnly_subType$
      identityReq.bioSubType1: $TestData:bio_iris_unknownOnly_subType$
      identityReq.bioType1: $TestData:bio_iris_type$
      identityReq.data.timestamp1: $TIMESTAMP$
      identityReq.deviceCode1: $TestData:bio_iris_deviceCode$
      identityReq.transactionID1: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID1: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue1: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
      identityReq.data.timestamp2: $TIMESTAMP$
      identityReq.bioValue2: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:IrisExceed2:errorCode$
      output.1.response.error.errorMessage: $errors:IrisExceed2:errorMessage$
      
  Authentication_Biometric_Iris_With_requestedAuth_all_set_false_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_false$
      AuthReq.pin: $TestData:boolean_false$
      AuthReq.otp: $TestData:boolean_false$
      AuthReq.demo: $TestData:boolean_false$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:NoAuthTypeSelected:errorCode$
      output.1.response.error.errorMessage: $errors:NoAuthTypeSelected:errorMessage$
      
  Authentication_Biometric_Iris_With_requestTime_LT24HR_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$HOUR-24
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$HOUR-24
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:RequestTimeLT24HR:errorCode$
      output.1.response.error.errorMessage: $errors:RequestTimeLT24HR:errorMessage$
      output.1.response.error.actionMessage: $errors:RequestTimeLT24HR:actionMessage$
      
  Authentication_Biometric_Iris_With_requestTime_LT25HR_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$HOUR-30
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$HOUR-30
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:RequestTimeLT24HR:errorCode$
      output.1.response.error.errorMessage: $errors:RequestTimeLT24HR:errorMessage$
      output.1.response.error.actionMessage: $errors:RequestTimeLT24HR:actionMessage$
      
  Authentication_Biometric_Iris_With_requestedAuth_set_bio_false_other_true_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_false$
      AuthReq.otp: $TestData:boolean_true$
      AuthReq.demo: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $IGNORE$
      output.1.response.error.errorMessage: $IGNORE$
      
  Authentication_Biometric_Iris_With_requestedAuth_bio_otherThan_true_or_false_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:invalid$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidRequest:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidRequest:errorMessage$
      
  Authentication_Biometric_Iris_With_requestedAuth_set_bio_true_when_bio_Authentication_Biometric_Iris_not_selected_in_ploicy_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:NOFACEPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:PolicyWithoutBioIris:errorCode$
      output.1.response.error.errorMessage: $errors:PolicyWithoutBioIris:errorMessage$
      
  Authentication_Biometric_Iris_With_Valid_individualId_UIN_and_individualIdType_as_VID_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Vid_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidVID:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidVID:errorMessage$
      output.1.response.error.actionMessage: $errors:InvalidVID:actionMessage$
      
  Authentication_Biometric_Iris_Without_Version_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
      AuthReq.version: $REMOVE$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:Missingversion:errorCode$
      output.1.response.error.errorMessage: $errors:Missingversion:errorMessage$
      
  Authentication_Biometric_Iris_Without_bioSubType_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $REMOVE$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingBioSubtype:errorCode$
      output.1.response.error.errorMessage: $errors:MissingBioSubtype:errorMessage$
      
  Authentication_Biometric_Iris_Without_bioType_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $REMOVE$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingBioType:errorCode$
      output.1.response.error.errorMessage: $errors:MissingBioType:errorMessage$
      
  Authentication_Biometric_Iris_Without_bioValue_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $REMOVE$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingBioValue:errorCode$
      output.1.response.error.errorMessage: $errors:MissingBioValue:errorMessage$
      
  Authentication_Biometric_Iris_Without_consentObtained_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
      AuthReq.consentObtained: $REMOVE$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:ConsentNotSet:errorCode$
      output.1.response.error.errorMessage: $errors:ConsentNotSet:errorMessage$
            
  Authentication_Biometric_Iris_Without_Id_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.id: $REMOVE$
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingId:errorCode$
      output.1.response.error.errorMessage: $errors:MissingId:errorMessage$
      
  Authentication_Biometric_Iris_Without_individualId_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $REMOVE$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: fgiuagiuefdiaidiufiuaiyi872186768767186836bhh
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingUIN:errorCode$
      output.1.response.error.errorMessage: $errors:MissingUIN:errorMessage$
      
  Authentication_Biometric_Iris_Without_individualIdType_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $REMOVE$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingindividualIdType:errorCode$
      output.1.response.error.errorMessage: $errors:MissingindividualIdType:errorMessage$
      
  Authentication_Biometric_Iris_Without_requestTime_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $REMOVE$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMPZ$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingrequestTime:errorCode$
      output.1.response.error.errorMessage: $errors:MissingrequestTime:errorMessage$
      
  Authentication_Biometric_Iris_Without_timestamp_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $REMOVE$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingIdentityTimestamp:errorCode$
      output.1.response.error.errorMessage: $errors:MissingIdentityTimestamp:errorMessage$
           
  Authentication_Biometric_Iris_Without_bio_requestAuth_In_request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $REMOVE$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:NoAuthTypeSelected:errorCode$
      output.1.response.error.errorMessage: $errors:NoAuthTypeSelected:errorMessage$
      
  Authentication_Biometric_Iris_Without_transactionID_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $REMOVE$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $RANDOM:N:10$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingtransactionID:errorCode$
      output.1.response.error.errorMessage: $errors:MissingtransactionID:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_Version_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
      AuthReq.version: $TestData:id_version_invalid$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:Invalidversion:errorCode$
      output.1.response.error.errorMessage: $errors:Invalidversion:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_bioSubType_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:invalid$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidBioSubtype:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidBioSubtype:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_bioType_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:invalid$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidBioType:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidBioType:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_consentObtained_neither_true_nor_false_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
      AuthReq.consentObtained: $TestData:invalid$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidRequest:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidRequest:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_consentObtained_false_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
      AuthReq.consentObtained: $TestData:boolean_false$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:ConsentNotSet:errorCode$
      output.1.response.error.errorMessage: $errors:ConsentNotSet:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_Id_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.id: $TestData:id_auth_invalid$
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidId:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidId:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_individualId_UIN_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $RANDOM:N:10$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: fgiuagiuefdiaidiufiuaiyi872186768767186836bhh
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidUIN:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidUIN:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_individualId_VID_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $RANDOM:N:16$
      AuthReq.individualIdType: $TestData:indvId_Vid_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: fgiuagiuefdiaidiufiuaiyi872186768767186836bhh
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidVID:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidVID:errorMessage$
  
  Authentication_Biometric_Iris_With_Invalid_individualId_DeactivedUIN_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN:WITH:Deactivated$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:DeactivatedUIN:errorCode$
      output.1.response.error.errorMessage: $errors:DeactivatedUIN:errorMessage$
      output.1.response.error.actionMessage: $errors:DeactivatedUIN:actionMessage$
          
  Authentication_Biometric_Iris_With_Invalid_individualIdType_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:invalid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidindividualIdType:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidindividualIdType:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_requestTime_format_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TestData:timestamp_invalid$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMPZ$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidrequestTime:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidrequestTime:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_timestamp_format_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TestData:timestamp_invalid$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidIdentityTimestamp:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidIdentityTimestamp:errorMessage$
      
  Authentication_Biometric_Iris_With_Invalid_transactionID_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $TestData:txnID_Invalid$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $RANDOM:N:10$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InvalidtransactionID:errorCode$
      output.1.response.error.errorMessage: $errors:InvalidtransactionID:errorMessage$
      
  Authentication_Biometric_Iris_Null_Version_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
      AuthReq.version: ''
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:Missingversion:errorCode$
      output.1.response.error.errorMessage: $errors:Missingversion:errorMessage$
      
  Authentication_Biometric_Iris_Null_bioSubType_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: ''
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingBioSubtype:errorCode$
      output.1.response.error.errorMessage: $errors:MissingBioSubtype:errorMessage$
      
  Authentication_Biometric_Iris_Null_bioType_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: ''
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingBioType:errorCode$
      output.1.response.error.errorMessage: $errors:MissingBioType:errorMessage$
      
  Authentication_Biometric_Iris_Null_bioValue_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: ''
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingBioValue:errorCode$
      output.1.response.error.errorMessage: $errors:MissingBioValue:errorMessage$
      
  Authentication_Biometric_Iris_Null_consentObtained_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
      AuthReq.consentObtained: ''
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:ConsentNotSet:errorCode$
      output.1.response.error.errorMessage: $errors:ConsentNotSet:errorMessage$
            
  Authentication_Biometric_Iris_Null_Id_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.id: ''
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingId:errorCode$
      output.1.response.error.errorMessage: $errors:MissingId:errorMessage$
      
  Authentication_Biometric_Iris_Null_individualId_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: ''
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: fgiuagiuefdiaidiufiuaiyi872186768767186836bhh
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingUIN:errorCode$
      output.1.response.error.errorMessage: $errors:MissingUIN:errorMessage$
      
  Authentication_Biometric_Iris_Null_individualIdType_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: ''
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingindividualIdType:errorCode$
      output.1.response.error.errorMessage: $errors:MissingindividualIdType:errorMessage$
      
  Authentication_Biometric_Iris_Null_requestTime_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: ''
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMPZ$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingrequestTime:errorCode$
      output.1.response.error.errorMessage: $errors:MissingrequestTime:errorMessage$
      
  Authentication_Biometric_Iris_Null_timestamp_In_Bio_Identity_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.timestamp: ''
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingIdentityTimestamp:errorCode$
      output.1.response.error.errorMessage: $errors:MissingIdentityTimestamp:errorMessage$
            
  Authentication_Biometric_Iris_Null_bio_requestAuth_In_request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: ''
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:NoAuthTypeSelected:errorCode$
      output.1.response.error.errorMessage: $errors:NoAuthTypeSelected:errorMessage$
      
  Authentication_Biometric_Iris_Null_transactionID_In_Request_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: ''
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $RANDOM:N:10$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:MissingtransactionID:errorCode$
      output.1.response.error.errorMessage: $errors:MissingtransactionID:errorMessage$
      
  Authentication_Biometric_Iris_With_FaceRecord_In_Identity_Exceeds_ThresholdValue_Pos:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: $idrepo~$input.bio-auth-request:AuthReq.individualId$~DECODEFILE:individualBiometricsValue~//BIR/BDBInfo[Type='Iris'][Subtype='Left']//following::BDB$
    output.output-1-expected-y-res:
      output.1.response.status: $TestData:auth_Pass_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$   
   
  Authentication_Biometric_Iris_With_IrisRecord_In_Identity_NotExceeds_ThresholdValue_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $UIN$
      AuthReq.individualIdType: $TestData:indvId_Uin_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
      AuthReq.bio: $TestData:boolean_true$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: fasjfhsahdfh8382
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:BiometricIrisMismatch:errorCode$
      output.1.response.error.errorMessage: $errors:BiometricIrisMismatch:errorMessage$
      output.1.response.error.actionMessage: $errors:BiometricIrisMismatch:actionMessage$
      output.1.response.staticToken: $TOKENID~$input.bio-auth-request:AuthReq.individualId$~$endpoint.url:partnerIDMispLK$
    audit.auth_transaction:
      refId: $input.bio-auth-request:AuthReq.individualId$
      txnId: $input.bio-auth-request:AuthReq.transactionID$
      authTypeCode: $TestData:auth_transaction_IRIS_authTypeCode$
      statusCode: $TestData:auth_transaction_fail_statusCode$
      reqTime: $FETCH$
      resTime: $FETCH$
      statusComment: $TestData:auth_transaction_IRIS_fail_statusComment$
      idType: $TestData:auth_transaction_UIN_idType$
    audit.audit_log:
      refId:  $input.bio-auth-request:AuthReq.individualId$
      eventId: $TestData:audit_log_eventId$
      eventName: $TestData:audit_log_auth_eventName$
      appId: $TestData:audit_log_ida_appId$
      appName: $TestData:audit_log_ida_appName$
      moduleName: $TestData:audit_log_iris_moduleName$
      refIdType: $TestData:audit_log_UIN_refIdType$
            
  Authentication_Biometric_Iris_With_Expired_VID_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $VID:WITH:EXPIRED$
      AuthReq.individualIdType: $TestData:indvId_Vid_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: uaufiuashhascahfhdoancknkjwhh
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:ExpiredVID:errorCode$
      output.1.response.error.errorMessage: $errors:ExpiredVID:errorMessage$
      
  Authentication_Biometric_Iris_With_Revoke_VID_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $VID:WITH:REVOKE$
      AuthReq.individualIdType: $TestData:indvId_Vid_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: uaufiuashhascahfhdoancknkjwhh
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:RevokedVID:errorCode$
      output.1.response.error.errorMessage: $errors:RevokedVID:errorMessage$
      
  Authentication_Biometric_Iris_With_Inactive_VID_Neg:
    endpoint.url:
      partnerIDMispLK: $PIDMLKURL:ValidPIDMLK$
    input.bio-auth-request:
      AuthReq.individualId: $VID:WITH:INACTIVE$
      AuthReq.individualIdType: $TestData:indvId_Vid_valid$
      AuthReq.requestTime: $TIMESTAMP$
      AuthReq.transactionID: $RANDOM:N:10$
    input.identity-encrypt-data:
      identityReq.bioSubType: $TestData:bio_iris_left_subType$
      identityReq.bioType: $TestData:bio_iris_type$
      identityReq.timestamp: $TIMESTAMP$
      identityReq.data.timestamp: $TIMESTAMP$
      identityReq.deviceCode: $TestData:bio_iris_deviceCode$
      identityReq.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      identityReq.deviceProviderID: $TestData:bio_iris_deviceProviderID$
      identityReq.bioValue: uaufiuashhascahfhdoancknkjwhh
    output.output-1-expected-n-res:
      output.1.response.status: $TestData:auth_Fail_status$
      output.1.response.responseTime: $TIMESTAMP$
      output.1.response.transactionID: $input.bio-auth-request:AuthReq.transactionID$
      output.1.response.error.errorCode: $errors:InactiveVID:errorCode$
      output.1.response.error.errorMessage: $errors:InactiveVID:errorMessage$
       
  